# Glib::Container_Helpers::SListHandleIterator< Tr > Class Template Reference
[Helper classes]

If a method takes this as an argument, or has this as a return type, then you can use a standard container such as std::list or std::vector. More...

List of all members.

## Public Types

typedef Tr::CppType | CppType
typedef Tr::CType | CType
typedef std::forward_iterator_tag | iterator_category
typedef CppType | value_type
typedef ptrdiff_t | difference_type
typedef value_type | reference
typedef void | pointer

## Public Member Functions

| SListHandleIterator (const GSList* node)
value_type | operator* () const
SListHandleIterator< Tr >& | operator++ ()
const SListHandleIterator< Tr > | operator++ (int)
bool | operator== (const SListHandleIterator< Tr >& rhs) const
bool | operator!= (const SListHandleIterator< Tr >& rhs) const

## Detailed Description

### template <class Tr>
class Glib::Container_Helpers::SListHandleIterator< Tr >

If a method takes this as an argument, or has this as a return type, then you can use a standard container such as std::list or std::vector.

## Member Typedef Documentation

template <class Tr >

typedef Tr::CppType Glib::Container_Helpers::SListHandleIterator< Tr >::CppType

template <class Tr >

typedef Tr::CType Glib::Container_Helpers::SListHandleIterator< Tr >::CType

template <class Tr >

typedef ptrdiff_t Glib::Container_Helpers::SListHandleIterator< Tr >::difference_type

template <class Tr >

typedef std::forward_iterator_tag Glib::Container_Helpers::SListHandleIterator< Tr >::iterator_category

template <class Tr >

typedef void Glib::Container_Helpers::SListHandleIterator< Tr >::pointer

template <class Tr >

typedef value_type Glib::Container_Helpers::SListHandleIterator< Tr >::reference

template <class Tr >

typedef CppType Glib::Container_Helpers::SListHandleIterator< Tr >::value_type

## Constructor & Destructor Documentation

template <class Tr >

Glib::Container_Helpers::SListHandleIterator< Tr >::SListHandleIterator | ( | const GSList * | node | ) | `[inline, explicit]`

## Member Function Documentation

template <class Tr >

bool Glib::Container_Helpers::SListHandleIterator< Tr >::operator!= | ( | const SListHandleIterator< Tr >& | rhs | ) | const`[inline]`

template <class Tr >

value_type Glib::Container_Helpers::SListHandleIterator< Tr >::operator* | ( |  | ) | const`[inline]`

template <class Tr >

const SListHandleIterator<Tr> Glib::Container_Helpers::SListHandleIterator< Tr >::operator++ | ( | int |  | ) | `[inline]`

template <class Tr >

SListHandleIterator<Tr>& Glib::Container_Helpers::SListHandleIterator< Tr >::operator++ | ( |  | ) | `[inline]`

template <class Tr >

bool Glib::Container_Helpers::SListHandleIterator< Tr >::operator== | ( | const SListHandleIterator< Tr >& | rhs | ) | const`[inline]`

The documentation for this class was generated from the following file:

- glibmm/slisthandle.h